Bug 16955 - i18n-ISSUE-83: add note about why Gregorian only used
i18n-ISSUE-83: add note about why Gregorian only used
Status: RESOLVED FIXED
Product: HTML WG
Classification: Unclassified
Component: HTML5 spec
unspecified
PC Windows NT
: P2 normal
: ---
Assigned To: Robin Berjon
HTML WG Bugzilla archive list
:
Depends on:
Blocks: 17853
  Show dependency treegraph
 
Reported: 2012-05-07 17:03 UTC by Addison Phillips
Modified: 2014-02-27 21:28 UTC (History)
7 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Addison Phillips 2012-05-07 17:03:44 UTC
2.5.5 Dates and times
http://www.w3.org/TR/html5/common-microsyntaxes.html#dates-and-times

The section describes date values using strictly the Gregorian calendar. As long as the values are strictly internal (as a means of representing incremental or floating time values, cf. our note Working With Time Zones), this doesn't represent a barrier to the use of other calendric systems. Please include a note indicating this so that international users understand why Gregorian is used here.
Comment 1 Ian 'Hixie' Hickson 2012-05-10 17:52:22 UTC
Gregorian is used here pretty, as opposed to any other calendar system, much arbitrarily. What reason would you give?
Comment 2 contributor 2012-07-18 07:04:03 UTC
This bug was cloned to create bug 17853 as part of operation convergence.
Comment 3 Silvia Pfeiffer 2013-01-07 05:28:42 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If
you are satisfied with this response, please change the state of
this bug to CLOSED. If you have additional information and would
like the Editor to reconsider, please reopen this bug. If you would
like to escalate the issue to the full HTML Working Group, please
add the TrackerRequest keyword to this bug, and suggest title and
text for the Tracker Issue; or you may create a Tracker Issue
yourself, if you are able to do so. For more details, see this
document:   http://dev.w3.org/html5/decision-policy/decision-policy-v2.html

Status: Accepted
Change Description: 
https://github.com/w3c/html/commit/1cf720a856fcd062da4b480eb3cf95e09c14077a
Rationale: adopted change to WHATWG specification both for HTML5 and HTML5.1
Comment 4 Addison Phillips 2014-02-27 21:28:40 UTC
The I18N WG is satisfied by this change.